The latest learning and teaching news for the Marcellin community.
Picture of Jill Fitzsimons
Staff Professional Learning Days
by Jill Fitzsimons - Thursday, 11 February 2021, 11:28 AM
 

The College professional learning schedule began in full throttle with three consecutive days of professional learning. These days provided staff with the opportunity to develop their understanding of what it means to work in a Catholic Marist community, as well as the rights and responsibilities that come with working in a contemporary secondary school setting, such as first aid training and ensuring our practices and processes are inclusive and professional. Establishing a sense of community and aligning all staff with our mission and policies is so incredibly important to all that we do and aim to be for our students and families.


The three days also provided staff with the opportunity to establish shared classroom norms to foster a positive learning environment for all. Supporting staff to develop strong and affirming relationships with students continues this week in a series of ...Read more...
(320 words)
 
Picture of Jill Fitzsimons
Provisionally Registered Teachers
by Jill Fitzsimons - Friday, 6 November 2020, 8:44 AM
 

This month two of our provisionally registered teachers (PRTS) will meet with Marcellin’s Victorian Institute of Teaching (VIT) recommendation panel to apply for full registration as a teacher. This panel is comprised of the principal’s delegates who have been certified by VIT. At Marcellin, this is the Director of Staff and Strategy, the Director of Professional Learning and Partnerships, the PRTs’ VIT Mentor and the PRT.

To apply for full registration, provisionally registered teachers are required to teach for a period of 80 days and present a professional portfolio. This professional portfolio focuses on their teaching of three students over a four-six week period, longer if the teacher does not teach these students every day. If the teacher does not teach a student with a disability or an Aboriginal or Torres Strait Islander student, they must still reflect on how they would cater...

Read more...
(321 words)
 
Picture of Jill Fitzsimons
Catholic Education Melbourne and Marcellin College sponsored studies
by Jill Fitzsimons - Wednesday, 14 October 2020, 3:41 PM
 

Last week’s Eagle outlined the why and how of Catholic Education Melbourne (CEM) and Marcellin College’s sponsored studies program. This week we hear from staff currently receiving sponsorship from CEM and Marcellin College to complete a range of courses.

We congratulate them on all they have achieved so far and look forward to all they will bring to their current and future roles at Marcellin College and the Catholic education system.

David Bellis, House Leader (Mannes); Master of Leadership, Australian Catholic University (ACU)  2018 - 2020
Over the course of the last three years, I have been completing the post-graduate study, Master of Leadership. The collective knowledge and understanding that I have been able to obtain whilst putting the theory into practice with my role at Marcellin has been the greatest professional development I have experienced in my line of work. My ...Read more...
(1075 words)
 
Picture of Jill Fitzsimons
Gems From The College Archives
by Jill Fitzsimons - Tuesday, 8 September 2020, 9:44 AM
 

This week I would like to reflect on two gems from the College archives. The first, a letter to staff from Principal Brother Sebastian in 1971. In his letter, Br Sebastian advises staff on return to work arrangements for Monday 1st February, including the news that staff will be returning to work at the Camberwell campus at 9am on a public holiday. Even though he stresses that this was unforeseen, his tone suggests this is non-negotiable because ‘our plans were made last year before this fact was known’. Clearly terms like ‘agile’ and ‘pivot’ were not in vogue in 1971 and the Independent Education Union did not have the influence it has today.

The day’s agenda is very pragmatic. The purpose of the day is to welcome new staff and students, discuss College ‘policy and organisation’ and share lunch. Interestingly, staff are invited to put ‘their classes in order before the 1st February’. ...

Read more...
(681 words)
Picture of Jill Fitzsimons
Professional Learning and Partnerships
by Jill Fitzsimons - Wednesday, 2 September 2020, 12:28 PM
 

This week teaching staff will be involved in the third of three workshops designed to support preparation for their Annual Review Meeting in November.

The ARM is a positive process for the teacher and the Principal and Principal’s nominees to: 
  • identify and establish professional development goals and avenues for professional development 
  • assist the teacher is relation to the Australian Professional Standards for Teachers 
  • affirm achievements and identify areas for improvement and development 
Each teacher has set a goal in each of the following areas – faith, College, department, co-curricular and personal. To facilitate this staff, have been encouraged to consider the following prompts:

Faith - support of (and/or commitment to) the College’s Catholic identity and Marist charism 
  • What steps do you need to take to achieve your accreditation to teach in a Catholic school? Maintain your ...
Read more...
(376 words)
 
Picture of Jill Fitzsimons
Leading Teams in a Catholic Learning Community
by Jill Fitzsimons - Wednesday, 26 August 2020, 3:49 PM
 

In 2020, in support of our new leaders’ formation as leaders in a Catholic Marist school, as well as our continued desire to nurture and develop their gifts and talents, three of our Program Leaders have been participating in a leadership program to develop their expertise leading teams in a Catholic learning community.

This week, Nadia Bonvicino, Phil Viola and Trent Williams share their reflections on the course so far.
 
Nadia Bonvicino (Program Leader, Financial Literacy and Enterprise):
This term the focus of the course has been on building high functioning teams that have a strong culture, competency, and growth-mindset. We have been investigating the different approaches in achieving this whilst keeping our Catholic context at the centre. We have explored the many facets to effective teams including building character and competency, continual professional learning, and the ...Read more...
(648 words)
 
Picture of Jill Fitzsimons
Reflections language learning
by Jill Fitzsimons - Thursday, 20 August 2020, 2:55 PM
 

Jennifer Brown-Omichi’s (Lead: Languages at Catholic Education Melbourne) article about her work with a growing number of school communities to implement transformational change in their language learning and to get students talking in another language (click here to read article), led to the following reflections by our Language Learning Area.

Says Nani Thomas:
“We’re lucky at Marcellin, the language programs are run by so many committed and innovative teachers led by the much loved and unstoppable Capitano aka JDI [John Di Natale]. Speaking for the Indonesian language program, Zacky & I, together with Hugh, are very committed and dedicated to keep building our language programs to be relevant, useful, meaningful, practical and fun for all our students across year levels.

[Due to]…the great foresight of John, and Hugh’s amazing support, we’ve managed to double our VCE ...Read more...
(648 words)
 
Picture of Jill Fitzsimons
Nurturing Partnerships For Staff And Student Learning
by Jill Fitzsimons - Thursday, 13 August 2020, 10:49 AM
 

Last week’s professional learning and partnerships schedule provided us with the opportunity to strengthen ties with Reconciliation Victoria, the I CAN Network and the Australian Catholic University.

Reconciliation Victoria worked with a small group of passionate staff on Tuesday afternoon in one of our Pop Up PL sessions. Lisa Moloney explored the difference between an Acknowledgement and a Welcome, the Aboriginal and Torres Strait Islander language map, the Victorian Aboriginal language map and how to use visual material to better understand and respect Aboriginal and Torres Strait Islander people and their history.
 
Chris Varney from the I CAN Network worked with all teaching staff, Learning Diversity Staff and Learning Mentors via Teams to develop our understanding of how to create an inclusive environment for autistic students. We examined the history of autism and our ...Read more...
(521 words)
 
Picture of Jill Fitzsimons
Boys and Online Learning
by Jill Fitzsimons - Friday, 7 August 2020, 9:25 AM
 

Tools and techniques to engage boys in online learning


Last week I participated in an excellent on demand 30 minute webinar run by the International Boys School Coalition (ISBC) of which Marcellin College is a member school. Our membership allows staff to access podcasts, research, resources and on demand webinars targeted specifically at staff who work in boys’ education.

The webinar: Leading in a Crisis Series: Boys and Online Learning outlined a series of specific strategies staff can use to engage boys in particular in online learning. Given the impact of Victoria’s Stage 4 restrictions on our 7-12s, these tips are especially important.

Here is summary of some key takeaways, as well as reflections on how these ‘takeaways’ can be implemented in our classrooms:
  • Collaborative creation. Getting boys working and creating something together in a visible way is highly engaging for them. It ...
Read more...
(760 words)
 
Picture of Jill Fitzsimons
Learning Brings Hope
by Jill Fitzsimons - Thursday, 23 July 2020, 11:25 AM
 

‘Learning brings hope. In a Catholic school that hope is based on the experience of God’s love and care for all. Catholic educators see learning as a journey of endless possibilities, where students are energised to seek meaning and explore questions about the world around them’. (Horizons of Hope, Catholic Education Melbourne)

Despite its challenges, 2020 has been a great opportunity for tremendous amounts of professional learning as an organisation. And in Term 3, 2020 just keeps giving! Hello hybrid learning with VCEs on campus and Yr 7-10s at home. I am in awe of what has been achieved by our staff; it has been an excellent achievement thus far. While late Term 1 and the majority of Term 2 called on staff to unite to offer remote learning while we all (like many workplaces) tried to changing the tyre of a moving car, the chance to offer remote learning again offers staff a chance ...Read more...
(447 words)